[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Headsup: new API and ABI changing goffice update headed towards rawhide



On Jan 25, 2008 6:17 PM, Hans de Goede <j w r degoede hhs nl> wrote:
> Hi All,
>
> I've been working on updating gnumeric to the 1.8.x tree, this needs the latest
> stable 0.6 series of goffice, therefor I'm also updating goffice from 0.2 to
> 0.6, which means a change in soname, and in API.
>
> The only other user is abiword, a patch for abiword for the 0.5 devel series of
> goffice, which lead to the 0.6 release is available here:
> http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/abiword-goffice05.patch?rev=1.1
>
> It should be trivial to adjust this patch to make abiword 's charting plugin
> work with goffice-0.6 (search replace 0.5 with 0.6).
>
I'm working on rebuilding abiword (preliminary goffice patch in
-devel; I have a newer patch that fixes the rest of the API changes,
but more below), but am running into several instances of the same
problem.

Building abiword, with or without the goffice patch (without the
patch, goffice won't be detected so it won't be compiled in anyway),
fails in several places with the same symptom: FALSE and TRUE are not
defined.

I was resorting to patching them one by one to false and true, but
after the third time it occured to me that it might just be some
headers (e.g. glib.h) are not being included.

Anyone familiar with Abiword's build system and can take a look?

https://bugzilla.redhat.com/show_bug.cgi?id=430346

Thanks,

-- 
Michel Salim
http://hircus.jaiku.com/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]